# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=xorgproto
pkgver=2024.1
pkgrel=1
pkgdesc="combined X.Org X11 Protocol headers"
arch=('x86_64')
url="https://xorg.freedesktop.org/"
license=('BSD-2-Clause'
	'HPND'
	'HPND-sell-variant'
	'ICU'
	'MIT'
	'MIT-open-group'
	'SGI-B-2.0'
	'SMLNJ'
	'X11'
	'X11-distribute-modifications-variant')
makedepends=('util-macros' 'meson')
source=(https://xorg.freedesktop.org/archive/individual/proto/${pkgname}-${pkgver}.tar.xz)
sha256sums=(372225fd40815b8423547f5d890c5debc72e88b91088fbfb13158c20495ccb59)

build() {
	cd ${pkgname}-${pkgver}

	meson setup build           \
		--prefix=/usr       \
		--buildtype=release \
		-Dlibdir=/usr/lib64

	meson compile -C build
}

package() {
	cd ${pkgname}-${pkgver}

	meson install -C build --destdir ${pkgdir}

	mv ${pkgdir}/usr/share/doc/xorgproto{,-${pkgver}}
}
